{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4000; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_ADM_EB"; 
            externalType = NUMBER; 
            name = idAdmEb; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_ADM_NATURE_REC"; 
            externalType = NUMBER; 
            name = idAdmNatureRec; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_ADM_ORIGINE_RECETTE"; 
            externalType = NUMBER; 
            name = idAdmOrigineRecette; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_BUD_BUDGET"; 
            externalType = NUMBER; 
            name = idBudBudget; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_BUD_PREV_OPE_TRA_REC"; 
            externalType = NUMBER; 
            name = idBudPrevOpeTraRec; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_OPE_OPERATION"; 
            externalType = NUMBER; 
            name = idOpeOperation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_OPE_TRANCHE_BUD_REC"; 
            externalType = NUMBER; 
            name = idOpeTrancheBudRec; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MONTANT_REC"; 
            externalType = NUMBER; 
            name = montantRec; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MONTANT_TITRE"; 
            externalType = NUMBER; 
            name = montantTitre; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = SECTION; 
            externalType = VARCHAR2; 
            name = section; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        commentaire, 
        dCreation, 
        dModification, 
        idAdmEb, 
        idAdmNatureRec, 
        idAdmOrigineRecette, 
        idBudBudget, 
        idBudPrevOpeTraRec, 
        idOpeOperation, 
        idOpeTrancheBudRec, 
        montantRec, 
        montantTitre, 
        persIdCreation, 
        persIdModification, 
        section
    ); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOBudgetPrevisionOperationTrancheRecette"; 
    classProperties = (
        commentaire, 
        dCreation, 
        dModification, 
        idAdmEb, 
        idAdmNatureRec, 
        idAdmOrigineRecette, 
        idBudBudget, 
        idOpeOperation, 
        idOpeTrancheBudRec, 
        montantRec, 
        montantTitre, 
        persIdCreation, 
        persIdModification, 
        section
    ); 
    externalName = "GFC.BUD_PREV_OPE_TRA_REC"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkGFCEos_BudgetPrevisionOperationTrancheRecette"; 
    primaryKeyAttributes = (idBudPrevOpeTraRec); 
}
